// Use the substring and indexOf methods on a String
class ContinueWithLabelDemo
{
    public static void main(String[] args)
    {

        String searchMe = "Look for a substring in me";
        String substring = "sub";
        boolean foundIt = false;

        // the substring, if present, must begin by this position
        int max = searchMe.length() - substring.length();

    test:
        for (int i = 0; i <= max; i++) // outer loop
        {
            int n = substring.length(); // n is the number of chars to check
            int j = i; // for the current String character
            int k = 0; // for the current substring character
            while (n-- != 0) // inner loop
            {
				// is the current char a substring char?
                if (searchMe.charAt(j++)
                        != substring.charAt(k++))
                {
                    continue test; // skip inner and go to outer
                }
            }
            foundIt = true;
            break test;
        }
        /* ternary operator here means if foundIt == true,
           then print "Found it", else print "Didn't find it"
        */
        System.out.println(foundIt ? "Found it" :
                                     "Didn't find it");
        if(foundIt)
        {
			System.out.println(searchMe.indexOf(substring));
		}
    }
}
